#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

from zun.objects import capsule
from zun.objects import compute_node
from zun.objects import container
from zun.objects import image
from zun.objects import numa
from zun.objects import resource_class
from zun.objects import resource_provider
from zun.objects import zun_service

Container = container.Container
ZunService = zun_service.ZunService
Image = image.Image
NUMANode = numa.NUMANode
NUMATopology = numa.NUMATopology
ResourceProvider = resource_provider.ResourceProvider
ResourceClass = resource_class.ResourceClass
ComputeNode = compute_node.ComputeNode
Capsule = capsule.Capsule

__all__ = (
    Container,
    ZunService,
    Image,
    ResourceProvider,
    ResourceClass,
    NUMANode,
    NUMATopology,
    ComputeNode,
    Capsule,
)
